Skip to content
Snippets Groups Projects
Commit 08a86c1e authored by Martin Nolte's avatar Martin Nolte
Browse files

merge trunk

[[Imported from SVN: r6890]]
parent 53541b81
No related branches found
No related tags found
No related merge requests found
......@@ -12,5 +12,5 @@ SUBDIRS = dune lib doc bin m4 am
# use configured compiler for "make distcheck"
DISTCHECK_CONFIGURE_FLAGS = CXX="$(CXX)" CC="$(CC)" --enable-parallel=@ENABLE_PARALLEL@ MPICC="$(MPICC)"
include $(top_srcdir)/am/top-rules
include $(top_srcdir)/am/global-rules
include $(top_srcdir)/am/top-rules
......@@ -5,6 +5,7 @@
# rerun TEX if log-file suggests that
.tex.dvi:
export TEXINPUTS=.:$(abs_builddir):${TEXINPUTS}:; \
set -e; builddir=$$PWD; \
pushd $(srcdir); $(TEX) -output-directory=$$builddir </dev/null $*; popd; \
while grep 'Rerun to get' $*.log > /dev/null ; do \
......@@ -21,10 +22,16 @@
fi
.dvi.pdf:
TEXINPUTS=.:$(srcdir):${TEXINPUTS}: $(DVIPDF) $*
export TEXINPUTS=.:$(abs_builddir):${TEXINPUTS}:; \
pushd $(srcdir); \
$(DVIPDF) $(abs_builddir)/$*.dvi $(abs_builddir)/$*.pdf; \
popd
.dvi.ps:
TEXINPUTS=.:$(srcdir):${TEXINPUTS}: $(DVIPS) $* -o
export TEXINPUTS=.:$(abs_builddir):${TEXINPUTS}:; \
pushd $(srcdir); \
$(DVIPS) $(abs_builddir)/$*.dvi -o $(abs_builddir)/$*.ps; \
popd
TEXCLEANFILES = *.aux *.bbl *.blg *.log *.out *.toc *.dvi
clean-local: latex-clean
......
......@@ -21,19 +21,7 @@ maintainer-clean-local: top-clean
# we use LT_OUTPUT, thus we might have a config.lt file -- remove it!
distclean-libtool:
-rm -f libtool config.lt
.PHONY: distclean-libtool
top-clean:
rm -f dependencies.m4
# link dune.css
if DUNEWEB
doc-local: css-local
doc-clean: css-clean
css-local: dune.css
css-clean:
rm -f dune.css
dune.css:
$(LN_S) $(DUNEWEBDIR)/dune.css
endif
......@@ -21,7 +21,10 @@ endif
# how to build html files
if WML
.wml.html:
$(WMLCMD) -I $(abs_srcdir) $(abs_builddir)/$< -o $(abs_builddir)/$@
if test "`dirname $<`" == "."; then \
input="$(abs_srcdir)/$<"; else \
input="$<"; fi; \
$(WMLCMD) -I $(abs_srcdir) $$input -o $(abs_builddir)/$@
endif
####
......
......@@ -279,10 +279,12 @@ _check_deps()
local report="ERROR"
local requires="requires"
local required="required"
local dependency="dependency"
if test "x$mode" = "xSUGS"; then
report="WARNING"
requires="suggests"
required="suggested"
dependency="suggestion"
fi
eval deps=\$${mode}_$module
#initially remove leading space
......@@ -306,7 +308,7 @@ _check_deps()
deps=`echo ${deps//^[, ]}`
dep=$(fix_variable_name $name)
if ! check_modname $dep; then
echo "ERROR: invalid module name $name" >&2
echo "ERROR: invalid module name $name ($dependency of $module)" >&2
exit 1
fi
if eval test x\$HAVE_$dep != "x"; then
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment